org.flexdock.docking.drag.effects

## Interface DragPreview

- All Superinterfaces:
    DockingConstants
  All Known Implementing Classes:
    AlphaPreview, DefaultPreview, GhostPreview, XORPreview

      public interface DragPreview
      extends DockingConstants

- - ### Field Summary

    - ### Fields inherited from interface org.flexdock.docking.DockingConstants

      `ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Polygon` | `createPreviewPolygon(java.awt.Component dockable, DockingPort port, Dockable hover, java.lang.String targetRegion, java.awt.Component paintingTarget, java.util.Map dragInfo)`
    `void` | `drawPreview(java.awt.Graphics2D g, java.awt.Polygon poly, Dockable dockable, java.util.Map dragInfo)`

- - ### Method Detail

    - #### createPreviewPolygon

          java.awt.Polygon createPreviewPolygon(java.awt.Component dockable,
                                              DockingPort port,
                                              Dockable hover,
                                              java.lang.String targetRegion,
                                              java.awt.Component paintingTarget,
                                              java.util.Map dragInfo)

    - #### drawPreview

          void drawPreview(java.awt.Graphics2D g,
                         java.awt.Polygon poly,
                         Dockable dockable,
                         java.util.Map dragInfo)